> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List stablecoins the wallet can receive



## OpenAPI

````yaml /api-reference/openapi.json get /v1/onramp/assets
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/onramp/assets:
    get:
      tags:
        - On-ramp
      summary: List stablecoins the wallet can receive
      operationId: onrampAssets
      parameters:
        - name: walletId
          in: query
          required: true
          schema:
            type: string
            format: uuid
          description: Managed wallet that will be credited
        - name: currency
          in: query
          required: true
          schema:
            type: string
            enum:
              - NGN
              - GHS
      responses:
        '200':
          description: Eligible assets
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        symbol:
                          type: string
                          example: USDC
                        decimals:
                          type: integer
                        address:
                          type: string
                          nullable: true
                        standard:
                          type: string
                          nullable: true
                        network:
                          type: string
                        blockchain:
                          type: string
                          example: base-mainnet
                        isActive:
                          type: boolean
                        isNative:
                          type: boolean
        '404':
          description: Wallet not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.